Bug 201831 - Disassembly window do not adjust to show current pc when step over
Disassembly window do not adjust to show current pc when step over
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0.1
All All
: P2 (vote)
: 7.1
Assigned To: Egor Ushakov
issues@cnd
CR_7050637, 701patch2-verified, elif
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-08 15:03 UTC by Egor Ushakov
Modified: 2011-09-29 09:36 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Egor Ushakov 2011-09-08 15:03:00 UTC
Steps to reproduce:
- debug any project
- open disassembly
- do some steps over
If the current pc is close to the bottom of the editor it will hide below it.
Comment 1 Egor Ushakov 2011-09-15 09:46:55 UTC
fixed in cnd-main:
http://hg.netbeans.org/cnd-main/rev/128ee8dc54fc
Comment 2 Vladimir Voskresensky 2011-09-16 11:31:32 UTC
fix looks correct and safe
Comment 3 Egor Ushakov 2011-09-16 11:32:00 UTC
integrated into releases_elif
Comment 4 Egor Ushakov 2011-09-16 11:54:16 UTC
releases_elif/rev/859a9f173e1c
Comment 5 Quality Engineering 2011-09-17 14:19:41 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/128ee8dc54fc
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201831 (Disassembly window do not adjust to show current pc when step over)
Comment 6 dnikitin 2011-09-19 15:31:31 UTC
verified in oss-platform-build-59
Comment 7 Quality Engineering 2011-09-26 13:33:56 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/859a9f173e1c
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #201831 (Disassembly window do not adjust to show current pc when step over)
(transplanted from 128ee8dc54fc28f015ba0bceb8135a4234bc9c66)
Comment 8 Alexander Pepin 2011-09-29 09:36:36 UTC
verified in OSS dev build based on 7.0.1 patch2


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo